summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: e1447e3)
raw | patch | inline | side by side (parent: e1447e3)
author | Shawn Pearce <spearce@spearce.org> | |
Tue, 11 Jul 2006 06:10:19 +0000 (02:10 -0400) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Tue, 11 Jul 2006 21:16:53 +0000 (14:16 -0700) |
When importing a quilt patch to a branch which has a reflog record
the update to HEAD with a log message indicating the change was
made by quiltimport and what patch caused the change.
Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
the update to HEAD with a log message indicating the change was
made by quiltimport and what patch caused the change.
Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-quiltimport.sh | patch | blob | history |
diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index 364baff80645efb225e433dbf5845e678df60760..10135da3ac04e3175fa45ca26b5ea31605a47284 100755 (executable)
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
git-apply --index -C1 "$tmp_patch" &&
tree=$(git-write-tree) &&
commit=$((echo "$SUBJECT"; echo; cat "$tmp_msg") | git-commit-tree $tree -p $commit) &&
- git-update-ref HEAD $commit || exit 4
+ git-update-ref -m "quiltimport: $patch_name" HEAD $commit || exit 4
fi
done
rm -rf $tmp_dir || exit 5